GTXclient C++ API GTXserver-16.0.2

- Main Page
- Related Pages
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
GTXWireframe Class Reference

Class for handling individual Wireframes. More...

`#include <GTXWireframe.hpp>`

## Public Member Functions
| GTXWireframe ()
| Empty Constructor.
| GTXWireframe (const GTXWireframe &wireframe)
| Copy Constructor.
GTXWireframe | operator= (const GTXWireframe &wireframe)
| Equal Operator.
| ~GTXWireframe ()
| Destructor.
const char * | GetName () const
| Get the name attribute of a Wireframe. More...
int | GetColorR () const
| Get the Red component of a Wireframe color. More...
int | GetColorG () const
| Get the green component of a Wireframe color. More...
int | GetColorB () const
| Get the blue component of a Wireframe color. More...
int | GetObjectsNumber () const
| Get the number of Objects of a Wireframe. More...
GTXWireframeObject | GetWireframeObject (int rank) const
| Get the n'th Object of a Wireframe. More...
void | SetName (const char *name)
| Set the name of a Wireframe. More...
void | SetColorRGB (int r, int g, int b)
| Set color of a Wireframe. More...
void | AddObject (const GTXWireframeObject &object)
| add a WireframeObject to a Wireframe More...

## Friends
class | GTXClient
class | GTXWireframeSystem

## Detailed Description

Class for handling individual Wireframes.

Examples:
  wireframes.cpp.

## Member Function Documentation

void GTXWireframe::AddObject | ( | const GTXWireframeObject & | object | ) |

add a WireframeObject to a Wireframe

This function adds a Wireframe Object to a Wireframe

Parameters

  object | The wireframe object to be added

Examples:
  wireframes.cpp.

int GTXWireframe::GetColorB | ( |  | ) | const

Get the blue component of a Wireframe color.

This function returns the blue component of a Wireframe

Returns
  Returned blue component [0-255]

Examples:
  wireframes.cpp.

int GTXWireframe::GetColorG | ( |  | ) | const

Get the green component of a Wireframe color.

This function returns the green component of a Wireframe

Returns
  Returned green component [0-255]

Examples:
  wireframes.cpp.

int GTXWireframe::GetColorR | ( |  | ) | const

Get the Red component of a Wireframe color.

This function returns the red component of a Wireframe

Returns
  Returned red component [0-255]

Examples:
  wireframes.cpp.

const char * GTXWireframe::GetName | ( |  | ) | const

Get the name attribute of a Wireframe.

This function returns the name of a Wireframe

Returns
  Returned name

Examples:
  wireframes.cpp.

int GTXWireframe::GetObjectsNumber | ( |  | ) | const

Get the number of Objects of a Wireframe.

This function returns thenumber of objects of a Wireframe

Returns
  Returned number of objects

Examples:
  wireframes.cpp.

GTXWireframeObject GTXWireframe::GetWireframeObject | ( | int | rank | ) | const

Get the n'th Object of a Wireframe.

This function returns the n'th Object of a Wireframe

Returns
  Returned Object

Parameters

  rank | The Rank of the Object [between 0 and n_object-1]

Examples:
  wireframes.cpp.

void GTXWireframe::SetColorRGB | ( | int | r,
|  | int | g,
|  | int | b
| ) |  |

Set color of a Wireframe.

This function changes the color of a Wireframe given its RGB components

Parameters

  r | red component of the color [0-255]
  g | green component of the color [0-255]
  b | blue component of the color [0-255]

Examples:
  wireframes.cpp.

void GTXWireframe::SetName | ( | const char * | name | ) |

Set the name of a Wireframe.

This function sets the name of a Wireframe (49 characters at max)

Parameters

  name | Wireframe's name

Examples:
  wireframes.cpp.

The documentation for this class was generated from the following files:

- include/GTXWireframe.hpp
- src/gtxclient/GTXWireframe.cpp